Skip site navigation (1) Skip section navigation (2)

PostgreSQL 8.3.7 and PHP 5.2.9

From: Didier Gasser-Morlay <didiergm(at)gmail(dot)com>
To: pgsql-novice(at)postgresql(dot)org
Subject: PostgreSQL 8.3.7 and PHP 5.2.9
Date: 2009-06-17 08:03:19
Message-ID: 608b66ce0906170103t2c85df35kf3cd8dfc6aebe51f@mail.gmail.com (view raw or flat)
Thread:
Lists: pgsql-novice
Hi,

I spend a day yesterday trying to  recompile Apache 2.10, php 5.2.9
with PostgreSQL 8.3.7 (as provided via the one-clieck EnterpriseDB
installer). Everything compiles and setup fine but when I try to start
a php  script calling posgres module, I get an error about missing
function pg_escape_string. being in a hurry (typical) I ended up
reusing my mod_php5.so which was built on another machine with
previous versions (Apache 2.10; php 5.2.8; postgres 8.3.4) and works
fine; but I'd like to get to the bottom of it if possible.

Any idea or comment ?

Didier

pgsql-novice by date

Next:From: Carol WalterDate: 2009-06-17 12:26:30
Subject: implicit rollback?
Previous:From: Tom LaneDate: 2009-06-16 18:00:12
Subject: Re: changing datestyle

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group